## eyebot-debugger 5.2.1-1

=== bdm-driver/Makefile ===
#*******************************************************************
# Motorola 683xx BDM Driver for Linux Kernel and GNU Debugger
#
# Makefile-mod - Makefile for regular compilation 
#                through Linux kernel rules
#
# This file must be renamed or linked to Makefile
#
# (C) Copyright 1999 by Pavel Pisa 
#
# The BDM driver is distributed under the Gnu General Public Licence. 
# See file COPYING for details.
#*******************************************************************/

# currently running kernel
CURRENT=$(shell uname -r)
KERNEL_NEW=$(shell if [ -d /lib/modules/$(CURRENT)/build ] ; \
		then echo yes ; else echo no ; fi )

# Where to look for kernel
#KERNEL_LOCATION=/usr/src/linux
#KERNEL_LOCATION=/usr/src/kernel/$(CURRENT)
#KERNEL_LOCATION=/lib/modules/$(CURRENT)/build
#KERNEL_LOCATION=/usr/src/linux-2.2.19
#KERNEL_LOCATION=/usr/src/linux-2.5.60

ifndef KERNEL_LOCATION
ifeq ($(KERNEL_NEW),yes)
KERNEL_LOCATION=/lib/modules/$(CURRENT)/build
MODULE_CHAR_LOC=/lib/modules/$(CURRENT)/kernel/drivers/char
else
KERNEL_LOCATION=/usr/src/linux
MODULE_CHAR_LOC=/lib/modules/$(CURRENT)/misc
endif
endif

# Test for latest 2.5.xx and future 2.6.xx kernels
KERNEL_VERSION := $(shell awk -F\" '/REL/ {print $$2}' \
	$(KERNEL_LOCATION)/include/linux/version.h | awk -F\- '{print $$1}')

KERNEL_MODULE_V26 := $(shell echo $(KERNEL_VERSION) \
	| sed -n 's/^.*2\.[5-9]\..*$$/yes/p')

# Target object file if any
O_TARGET     :=
# Regular object files
O_OBJS       = bdm.o
# Objects with exported symbols (-DEXPORT_SYMTAB)
OX_OBJS      =
# Module objects 
M_OBJS       = $(O_OBJS)
# Module only objects with exported symbols (-DEXPORT_SYMTAB)
MX_OBJS      = 
# Kernel only objects 
L_OBJS       =	
# Kernel only objects with exported symbols (-DEXPORT_SYMTAB)
LX_OBJS      = 
# Additional CFLAGS
EXTRA_CFLAGS =

# Linux 2.4.2 build system needs next
obj-m += $(O_OBJS)

ifndef KERNEL_MODULE_V26
FINAL_MODULE_OBJS=$(obj-m)
else
FINAL_MODULE_OBJS=$(obj-m:%.o=%.ko)
endif

all : make_this_module

install : install_this_module

make_this_module:
	DIR=`pwd`; (cd $(KERNEL_LOCATION); make SUBDIRS=$$DIR modules)

install_this_module: make_this_module
	su -c "mkdir -v -p $(MODULE_CHAR_LOC) && cp -v $(FINAL_MODULE_OBJS) $(MODULE_CHAR_LOC)"

clean:
	rm -f $(M_OBJS) $(MX_OBJS) *.ko .*.o.flags .*.o.cmd .*.ko.cmd .depend *~ 

# which interface do you want to use
# now you can select both without problems
INTERFACE+= -D PD_INTERFACE
INTERFACE+= -D ICD_INTERFACE

# if you want to use ispGAL programming
INTERFACE+= -DEFIICDISP

# last possible way to make system work when you have problems
# with single step or stop
# it tries to find 17 bit protocol boundary
# after single step or stop
BDM_DEFS += -D BDM_TRY_RESYNCHRO

# if you want a PARPORT compatible device, then
# uncomment the following line
BDM_DEFS += -DWITH_PARPORT_SUPPORT


EXTRA_CFLAGS= $(INTERFACE) $(BDM_DEFS)


ifndef KERNEL_MODULE_V26
include $(KERNEL_LOCATION)/Rules.make
endif

=== bdm-load/Makefile ===
CFLAGS	+= -Wall -ggdb -O2
CFLAGS  += -Wstrict-prototypes
CFLAGS  += -Wstrict-prototypes
CPPFLAGS = -I ../build/bfd -I ../src/include

#/* Select right place or libraries with configured m68k-coff support */
LDLIBS += -lbfd
#CFLAGS	+= -I ./gdblibs
#LOCLIBS += ./gdblibs/libbfd.a ./gdblibs/libiberty.a
#LDFLAGS += -lintl
LDLIBS += -liberty
LDFLAGS	+= -L ../build/bfd -L ../build/libiberty

all : bdm-load bdm_test tpudb

dep:
	$(CC) $(CFLAGS) $(CPPFLAGS) -w -E -M *.c $(MORE_C_FILES) > depend

depend:
	@touch depend

clean :
	rm -f *.o *.lo *~ *.a *.so *.so.* depend

bdm-load : bdm-load.o bdmlib.o bdmflash.o ${LOCLIBS}

bdm_test : bdm_test.o bdmlib.o ${LOCLIBS}

tpudb : tpudb.o bdmlib.o tpudis.o ${LOCLIBS}

-include depend

=== debian/changelog ===
eyebot-debugger (5.2.1-1) unstable; urgency=low

  * Initial Release.

 -- Stefan Schmitt <sschmitt@ee.uwa.edu.au>  Sat, 16 Aug 2003 05:26:02 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: eyebot-debugger
Section: devel
Priority: extra
Maintainer: Stefan Schmitt <sschmitt@ee.uwa.edu.au>
Standards-Version: 3.5.9
Build-Depends: autoconf (>= 2.13), libtool, awk, bzip2, bison, flex, gettext, texinfo, debhelper (>= 3.0), tar (>= 1.13.18), dpatch (>=1.11)

Package: eyebot-debugger
Architecture: i386
Section: devel
Priority: extra
Depends: ${shlibs:Depends}, eyebot-toolchain
Suggests: task-c-devel
Description: Remote background debugger for EyeBot controller.
 This contains gdb, patched up to a fully-featured background debugger.
 After installing this package you have to compile a kernel module for
 interfacing the BDM to the parallel port.
 For rebuilding from source you need the original tarball (see debian/rules
 in the source package).

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_COMPAT=4

# package name
PACKAGE = eyebot-debugger

# build, host, target platform for the toolchain
DEB_BUILD_GNU_TYPE      := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE       := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_TARGET_GNU_TYPE     := m68k-eyebot-elf

SOURCE_DIR = /usr/local/src
SOURCE_ARCHIVES += gdb-5.2.1

PREFIX = /usr

PATCHLIST = 10m68k-bdm-gdb 20m68k-eyebot-elf-debugger

include /usr/share/dpatch/dpatch.make
	
unpack: unpack-stamp
unpack-stamp:
	for f in $(SOURCE_ARCHIVES); do debian/scripts/unpack $(SOURCE_DIR)/$$f; done
	mv gdb-* src
	touch unpack-stamp

configure: unpack patch-stamp configure-stamp
configure-stamp:
	dh_testdir

	# configure in build
	mkdir -p build
	cd build && \
	../src/configure --prefix=$(PREFIX) \
	       --infodir=$$\{prefix\}/share/info \
	       --mandir=$$\{prefix\}/share/man \
	       --build=$(DEB_BUILD_GNU_TYPE) \
	       --host=$(DEB_HOST_GNU_TYPE) \
	       --target=$(DEB_TARGET_GNU_TYPE) \
	       --with-gnu-as \
	       --with-gnu-ld \
	       --enable-nls \
	       --without-included-gettext
	touch configure-stamp

build: configure build-stamp
build-stamp: 
	dh_testdir
	cd build && $(MAKE)
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd build && $(MAKE) install \
            prefix=$(CURDIR)/debian/$(PACKAGE)/$(PREFIX) \
	    
   
	# set up manpages
	rm -rf debian/$(PACKAGE)/$(PREFIX)/share/man/man7

	# don't need these
	rm -rf debian/$(PACKAGE)/$(PREFIX)/{include,lib}

	# don't want info pages and LC_MESSAGES; you can use the ones from the host's toolchain
	rm -rf debian/$(PACKAGE)/$(PREFIX)/share/{info,locale}

	# package-specific stuff
	mkdir -p debian/$(PACKAGE)/$(PREFIX)/share/$(PACKAGE)
	cp -r bdm-driver debian/$(PACKAGE)/$(PREFIX)/share/$(PACKAGE)
	cp gdbinit dddbuttons debian/$(PACKAGE)/$(PREFIX)/share/$(PACKAGE)
	cp gdb68 ddd68 debian/$(PACKAGE)/$(PREFIX)/bin

clean: unpatch
	dh_testdir
	dh_testroot
	-make -C bdm-load clean
	-make -C bdm-driver clean
	rm -rf src build
	rm -f build-stamp configure-stamp unpack-stamp

	dh_clean


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installmodules
	dh_installman
#	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip --exclude=.o --exclude=.a
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
